using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class SidebarManager : MonoBehaviour
{
    [SerializeField] private List<SidebarEntryManager> Entries;

    public void SelectEntry(Transform obj)
    {
        Entries.FirstOrDefault(z => z.transform == obj).MarkSelected();
        Entries.Where(z => z.transform != obj).ToList().ForEach(z => z.MarkUnselected());
    }
}
